public class BspInstanceof
{
	public static void main(String[]args)
	{
		Vater v1=new Vater();
		Sohn s1=new Sohn();
		Object o1=new Object();
		
		System.out.println("o1 vom Typ Vater? "+(o1 instanceof Vater));
		System.out.println("o1 vom Typ Object? "+(o1 instanceof Object));
		System.out.println("o1 vom Typ Sohn? "+(o1 instanceof Sohn));
		
		System.out.println("v1 vom Typ Vater? "+(v1 instanceof Vater));
		System.out.println("v1 vom Typ Object? "+(v1 instanceof Object));
		System.out.println("v1 vom Typ Sohn? "+(v1 instanceof Sohn));
		
		System.out.println("s1 vom Typ Vater? "+(s1 instanceof Vater));
		System.out.println("s1 vom Typ Object? "+(s1 instanceof Object));
		System.out.println("s1 vom Typ Sohn? "+(s1 instanceof Sohn));
	}
}
class Vater{}
class Sohn extends Vater{}